### Constructor

# Foundry SearchRequest new

#### Declaration [src]

    FoundrySearchRequest*
    foundry_search_request_new (
      FoundryContext* context,
      const char* search_text
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`search_text`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundrySearchRequest`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.